[arch-commits] Commit in python-redis/repos (2 files)

Felix Yan felixonmars at archlinux.org
Tue Nov 27 13:54:25 UTC 2018


    Date: Tuesday, November 27, 2018 @ 13:54:25
  Author: felixonmars
Revision: 409924

archrelease: copy trunk to community-testing-any

Added:
  python-redis/repos/community-testing-any/
  python-redis/repos/community-testing-any/PKGBUILD
    (from rev 409923, python-redis/trunk/PKGBUILD)

----------+
 PKGBUILD |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

Copied: python-redis/repos/community-testing-any/PKGBUILD (from rev 409923, python-redis/trunk/PKGBUILD)
===================================================================
--- community-testing-any/PKGBUILD	                        (rev 0)
+++ community-testing-any/PKGBUILD	2018-11-27 13:54:25 UTC (rev 409924)
@@ -0,0 +1,54 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Karol 'Kenji Takahashi' Woźniak <kenji.sx>
+# Contributor: Pierre Gueth <pierre.gueth at gmail.com>
+
+pkgbase=python-redis
+pkgname=('python-redis' 'python2-redis')
+pkgver=3.0.1
+pkgrel=1
+pkgdesc='The Python interface to the Redis key-value store'
+arch=('any')
+url="http://github.com/andymccurdy/redis-py"
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-pytest' 'python2-pytest' 'python-mock' 'python2-mock' 'pifpaf' 'redis')
+source=("https://pypi.io/packages/source/r/redis/redis-$pkgver.tar.gz")
+sha512sums=('6f65c179f5423a25b00b01181670a3b34b80ae5114e5f3e614535ee142ce257b1afdcd5a9c277c61ac951101f5109f9e4c78831fe5266b1b18ed8ba77b0b77ba')
+
+prepare() {
+  cp -a redis-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/redis-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/redis-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/redis-$pkgver
+  pifpaf run redis py.test || warning "https://github.com/andymccurdy/redis-py/issues/1073"
+
+  cd "$srcdir"/redis-$pkgver-py2
+  pifpaf run redis py.test2 || warning "https://github.com/andymccurdy/redis-py/issues/1073"
+}
+
+package_python-redis() {
+  depends=('python')
+
+  cd redis-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-redis() {
+  depends=('python2')
+
+  cd redis-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list